Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.core.transaction
Class TransactionFactory

    java.lang.Object
      net.jini.core.transaction.TransactionFactory

public class TransactionFactory
extends Object

Factory methods for creating top-level transactions.

Since:
  1.0

Method Summary
`static NestableTransaction.Created` | `create(NestableTransactionManager mgr, long leaseTime)` Create a new top-level transaction, under which nested transactions can be created.
`static Transaction.Created` | `create(TransactionManager mgr, long leaseTime)` Create a new top-level transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static Transaction.Created create(TransactionManager mgr,
                                             long leaseTime)
                                      throws LeaseDeniedException,
                                             RemoteException

  Create a new top-level transaction. If the specified transaction manager supports nested transactions, then the returned transaction can be cast to a `NestableTransaction`.

  Parameters:
    `mgr` - the transaction manager to use for this transaction
    `leaseTime` - the requested lease time for the transaction
  Returns:
    the created transaction and the lease granted
  Throws:
    `LeaseDeniedException` - if this manager is unwilling to grant the requested lease time
    `RemoteException` - if a communication error occurs.

### create

    public static NestableTransaction.Created create(NestableTransactionManager mgr,
                                                     long leaseTime)
                                              throws LeaseDeniedException,
                                                     RemoteException

  Create a new top-level transaction, under which nested transactions can be created.

  Parameters:
    `mgr` - the transaction manager to use for this transaction
    `leaseTime` - the requested lease time for the transaction
  Returns:
    the created transaction and the lease granted
  Throws:
    `LeaseDeniedException` - if this manager is unwilling to grant the requested lease time
    `RemoteException` - if a communication error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved